jQuery(document).ready(function($) {

    $('form#login').on('submit', function(e){
        $('form#login p.status').show().text(ajax_login_object.loadingmessage);
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_login_object.ajaxurl,
            data: { 
                'action': 'ajaxlogin',
                'username': $('form#login #username').val(), 
                'password': $('form#login #password').val(), 
                'security': $('form#login #security').val() },
            success: function(data){
                $('form#login p.status').text(data.message);
                if (data.loggedin == true){
                    //document.location.href = ajax_login_object.redirecturl;
                }
            }
        });
        e.preventDefault();
    });

    $('form#register').on('submit', function(e){
        $('form#register p.status').show().text(ajax_login_object.loadingmessage);
        var formdata = new FormData(this);
        formdata.append('action' , 'ajaxregister');
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_login_object.ajaxurl,
            data: formdata,
            processData: false,
            contentType: false,
            success: function(data){
                $('form#register p.status').text(data.message);
                if (data.register == true){
                   // document.location.href = ajax_login_object.redirecturl;
                }
            }
        });
        e.preventDefault();
    });

    $('form#publish').on('submit', function(e){
        tinyMCE.triggerSave();
        var formdata = new FormData(this);
        formdata.append('action' , 'ajaxpublish');
       
        $.ajax({
            dataType: 'json',
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: formdata,
            processData: false,
            contentType: false,
            success: function(data){
                 console.log(data.publish);
                if (data.publish == true){
                    $('form#publish p#alert').text(data.message);
                }
            }
        });
        e.preventDefault();
    });

});